{{- if and .Values.vpa.enabled (not .Values.hpa.enabled) -}}
apiVersion: autoscaling.k8s.io/v1
kind: VerticalPodAutoscaler
metadata:
  name: {{ template "fullname" . }}
spec:
  targetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ template "appname" . }}
  updatePolicy:
    updateMode: {{ .Values.vpa.updateMode }}
{{- end }}
